services:
  ntfy:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    container_name: ntfy
    image: binwiederhier/ntfy:v2.17.0
    ports:
      - "4023:80"
    networks:
      - ip4net
    command:
      - serve
    volumes:
      - /var/cache/ntfy:/var/cache/ntfy
      - ${INFRA_PATH}/ntfy/config:/etc/ntfy
      - ${INFRA_PATH}/ntfy/data:/var/lib/ntfy
    labels:
      # Traefik
      - "traefik.enable=true"
      - "traefik.http.routers.ntfy.rule=Host(`ntfy.${PUBLIC_DOMAIN}`)"
      - "traefik.http.routers.ntfy.entrypoints=https"
      - "traefik.http.routers.ntfy.tls=true"
